CI does not fail on shell syntax errors in APKBUILDs
the CI gives success without building anything if one of the modified APKBUILDs has invalid shell syntax.
Something like this should fix it:
diff --git a/overlay/usr/local/bin/build.sh b/overlay/usr/local/bin/build.sh
index 378a2d5..ea69e23 100755
--- a/overlay/usr/local/bin/build.sh
+++ b/overlay/usr/local/bin/build.sh
@@ -103,6 +103,11 @@ changed_aports() {
aports=$(git diff --name-only --diff-filter=ACMR --relative="$repo" \
"$BASEBRANCH"...HEAD -- "*/APKBUILD" | xargs -I% dirname %)
+
+ for aports in $aports; do
+ ( cd $repo/$aport && . ./APKBUILD) || die "Failed to parse $aport"
+ done
+
# $aports should remain unquoted
# shellcheck disable=2086
ap builddirs -d "$APORTSDIR/$repo" $aports 2>/dev/null | xargs -I% basename % | xargs